# Last edited on 2007-05-20 22:52:24 by stolfi

JOBNAME := article-sibgrapi-2007

FMT := pdf
# FMT = ps

PREVDIR := NONE

PARTS =

SUBDIRS := \
  figures
  
INPDIR := .

MACROS := \
  ${INPDIR}/stolfi-url.sty \
  macros-algorithms.tex \
  macros-captionbox.tex \
  macros-caq-tpami.tex \
  macros-epsbox.tex \
  macros-jsfig.tex \
  macros-jsmath.tex \
  macros-jsnotes.tex \
  macros-labelbox.tex \
  macros-mysection.tex \
  macros-psbox.tex \
  macros-photost.tex \
  ieee.cls \
  ieee.bst \
  floatsty.sty

SHOWDVI := \
  xdvi

SHOWPS := \
  ghostview
 
SHOWPDF := \
  xpdf
 
.PHONY: all show-ps show-pdf subdirs compare

.SUFFIXES:

all: show-${FMT}

subdirs: 
	for d in ${SUBDIRS}; do \
          ( cd $$d && make all ) ; \
        done
  
NEWTEX := \
  TEXINPUTS=".:/home/staff/stolfi/tex/inputs/::"; export TEXINPUTS

${JOBNAME}.dvi: ${JOBNAME}.make subdirs ${JOBNAME}.tex ${PARTS} ${MACROS} ${SUBDIRS}
	${NEWTEX}; \
	run-latex ${JOBNAME}
        
${JOBNAME}.ps: ${JOBNAME}.dvi
	dvips  -o ${JOBNAME}.ps  ${JOBNAME}
  
${JOBNAME}.pdf: ${JOBNAME}.ps 
	ps2pdf ${JOBNAME}.ps > ${JOBNAME}.pdf

show-ps: ${JOBNAME}.ps
	${SHOWPS} ${JOBNAME}.ps

show-pdf: ${JOBNAME}.pdf
	${SHOWPDF} ${JOBNAME}.pdf

######################################################################
# Compare with previous version:

ifneq "/${PREVDIR}" "/NONE"

DIFFS := ${subst .tex,.diff ${JOBNAME}.tex ${PARTS} ${MACROS}} 

compare: ${DIFFS}

%.diff: %.tex ${PREVDIR}/%.tex
	diff -Bb $*.tex ${PREVDIR}/$*.tex \
          | prettify-diff-output \
          > $*.diff

${JOBNAME}.diff ${PARTS} ${JOBNAME}.tex

else
compare: 
	@ echo "No previous version to compare against"
endif
#
######################################################################

error: 
	@ echo "make what?"
